prim.minST {RBGL} | R Documentation

## Compute minimum spanning tree for an undirected graph

### Description

Compute minimum spanning tree for an undirected graph

### Usage

    prim.minST(g)

### Arguments

`g` | an instance of the `graph` class with `edgemode` “undirected”

### Details

This is Prim's algorithm for solving the minimum spanning tree problem for an undirected graph with weighted edges. See documentations on this function in Boost Graph Library for more details.

### Value

A list of

`edges` | the edges that form the minimum spanning tree
`weights` | the total weight of the minimum spanning tree

### Author(s)

Li Long <li.long@isb-sib.ch>

### References

Boost Graph Library by Siek et al.

### See Also

`mstree.kruskal`

### Examples

    coex <- fromGXL(file(system.file("XML/conn2.gxl",package="RBGL"), open="r"))
    prim.minST(coex)

[Package RBGL version 1.10.0 Index]